Bug 71042 - Wrong field getting written as primary nameserver
Summary: Wrong field getting written as primary nameserver
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-bind (Show other bugs)
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-08 05:09 UTC by Jay Turner
Modified: 2015-01-07 23:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 13:48:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2002-08-08 05:09:42 UTC
Description of Problem:
With redhat-config-bind-1.7.1-10, it appears that the contact field is actually
getting written to the zone file as the primary nameserver.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. Run redhat-config-bind
2. Create a forward master zone and save it
3. Now look at the resulting zone file in /var/named/

Actual Results:
You will something like the following:
$TTL 86400
@       IN      SOA       root.localhost (
                        1 ; serial

Where you can see that "root.localhost" has been written as the primary
nameserver (SOA record.)

Expected Results:


Additional Information:

Comment 1 Daniel Walsh 2002-08-08 13:48:21 UTC
It seems like you are saving the forward zone without entering a Primary
Nameserver (SOA).  How are you doing this?  I can not duplicate this here.

Dan

Comment 2 Jay Turner 2002-08-09 13:08:29 UTC
Yeah, pretty much I was being stupid.  I didn't realize that you weren't
requiring "@" in the SOA record anymore, so it wasn't getting accepted and it
was really late and I didn't quite realize what was happening :-)  Things appear
to be working pretty well with redhat-config-bind-1.7.1-12.


Note You need to log in before you can comment on or make changes to this bug.